IsoSolventReader.Edge
Date: 2019-10-22

org.jmol.jvxl.readers

## Class IsoSolventReader.Edge

- java.lang.Object
- - javajs.util.T3
  - - javajs.util.P3
    - - org.jmol.jvxl.readers.IsoSolventReader.Edge

- All Implemented Interfaces:
    java.io.Serializable, javajs.api.JSONEncodable
  Enclosing class:
    IsoSolventReader

      private class IsoSolventReader.Edge
      extends javajs.util.P3

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) float` | `cosASB2`
    `(package private) float` | `d`
    `(package private) float` | `d2`
    `(package private) int` | `ia`
    `(package private) int` | `ib`
    `(package private) float` | `maxr`
    `(package private) int` | `nFaces`
    `(package private) int` | `nInvalid`
    `(package private) javajs.util.V3` | `v`

    - ### Fields inherited from class javajs.util.T3

      `x, y, z`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Edge(IsoSolventReader r, int ia, int ib, float d)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `addFace(IsoSolventReader.Face f)`
    `(package private) boolean` | `isValid()`
    `java.lang.String` | `toString()` Returns a string that contains the values of this Tuple3f.

    - ### Methods inherited from class javajs.util.P3

      `getUnlikely, new3, newP`

    - ### Methods inherited from class javajs.util.T3

      `add, add2, add3, ave, cross, distance, distanceSquared, dot, equals, floatToIntBits, hashCode, length, lengthSquared, normalize, scale, scaleAdd2, scaleT, set, setA, setT, sub, sub2, toJSON`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ia

          int ia

    - #### ib

          int ib

    - #### nFaces

          int nFaces

    - #### nInvalid

          int nInvalid

    - #### d

          float d

    - #### d2

          float d2

    - #### maxr

          float maxr

    - #### cosASB2

          float cosASB2

    - #### v

          javajs.util.V3 v

  - ### Constructor Detail

    - #### Edge

          Edge(IsoSolventReader r,
               int ia,
               int ib,
               float d)

      Parameters:
        `r` -
        `ia` -
        `ib` -
        `d` -

  - ### Method Detail

    - #### addFace

          void addFace(IsoSolventReader.Face f)

    - #### isValid

          boolean isValid()

    - #### toString

          public java.lang.String toString()

      Description copied from class: `javajs.util.T3`
      Returns a string that contains the values of this Tuple3f. The form is (x,y,z).
      Overrides:
        `toString` in class `javajs.util.T3`
      Returns:
        the String representation